Bug 103040 - kdebinding no longer builds
kdebinding no longer builds
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 15:34 EDT by Alan Olsen
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Olsen 2003-08-25 15:34:27 EDT
Description of problem:

The last mozilla update changes the location of mozilla's lib and include
directories from /usr/lib/mozilla and /usr/include/mozilla to
/usr/lib/mozilla-1.0.2 and /usr/include/mozilla-1.0.2.

This causes kdebindings to fail to build kmozilla.

Version-Release number of selected component (if applicable):
mozilla-1.0.2-2.7.3
kdebindings-3.0.5a-0.73.1

How reproducible:
Rebuild kdebindings with the latest mozilla installed.

Here is a patch that will fix the problem.  (It is not a good patch, but it works.)

--- xparts/mozilla/configure.in.in.orig Fri Aug 22 15:39:15 2003
+++ xparts/mozilla/configure.in.in      Fri Aug 22 15:39:47 2003
@@ -3,7 +3,7 @@
 
 AC_MSG_CHECKING([for Mozilla development headers])
 
-mozilla_incldirs="/usr/include /usr/include/mozilla /usr/local/include
/opt/include"
+mozilla_incldirs="/usr/include /usr/include/mozilla-1.0.2 /usr/include/mozilla
/usr/local/include /opt/include"
 AC_FIND_FILE(gtkmozembed.h, $mozilla_incldirs, mozilla_incdir)
 
 if test "$mozilla_incdir" = NO; then
Comment 1 Ngo Than 2003-08-27 09:22:03 EDT
It's a bug in mozilla. Mozilla should have symlinks to /usr/lib/mozilla-1.0.2
and /usr/include/mozilla-1.0.2.
Comment 2 Alan Olsen 2003-08-27 18:47:47 EDT
I do not believe this to be correct.

Version independant plug-ins are supposed to be installed in
/usr/lib/mozilla/plugins.  If this is a symlink, then those plugins go away each
time you upgrade.  If it is not a symlink, then nautilus and kdebindings need to
have code to determine the correct directory.  (via mozilla-config or actual
references in the spec file.)

The problem is that mozilla in 7.3 went from mozilla's libraries installing in
/usr/lib/mozilla to installing in /usr/lib/mozilla-$version.

It is not a symlink in any other spec file I can find.  (1.0.1 just defined the
install directory as /usr/lib/mozilla.  No version information at all.)

Nautilus and kdebindings just need to be altered to reflect this change.

Is this just a 7.3 specific issue or does later versions of Redhat have these
issues as well? (They appear to install in the same manner as 1.0.2.)
Comment 3 Bill Nottingham 2006-08-05 01:09:19 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 12:50:51 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.